import 'package:uuid/uuid.dart';

class DartError {
  dynamic error;
  String uuid = Uuid().v4();

  DartError(dynamic source) {
    error = source;
  }

  @override
  int get hashCode => uuid.hashCode;

  @override
  bool operator ==(Object other) =>
      (other is DartError) ? uuid == other.uuid : false;

  @override
  String toString() {
    return error?.toString() ?? super.toString();
  }
}
